Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class PropertyClusterEventTask

    java.lang.Object
      org.jivesoftware.util.PropertyClusterEventTask

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class PropertyClusterEventTask

extends Object
implements ClusterTask

This task updates or deletes a property in a cluster node's property map. `PropertyEventListener` of each cluster node will be alerted of the event.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`PropertyClusterEventTask()`

Method Summary
`static PropertyClusterEventTask` | `createDeteleTask(String key)`
`static PropertyClusterEventTask` | `createPutTask(String key, String value)`
`Object` | `getResult()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyClusterEventTask

    public PropertyClusterEventTask()

Method Detail

### createPutTask

    public static PropertyClusterEventTask createPutTask(String key,
                                                         String value)

### createDeteleTask

    public static PropertyClusterEventTask createDeteleTask(String key)

### getResult

    public Object getResult()

  Specified by:
    `getResult` in interface `ClusterTask`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.